package ru.dbotthepony.mc.otm.menu.storage

import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.block.entity.storage.StorageExporterBlockEntity
import ru.dbotthepony.mc.otm.menu.MatteryPoweredMenu
import ru.dbotthepony.mc.otm.menu.input.BooleanInputWithFeedback
import ru.dbotthepony.mc.otm.registry.MMenus

class StorageExporterMenu(
	p_38852_: Int,
	inventory: Inventory,
	tile: StorageExporterBlockEntity? = null
) : MatteryPoweredMenu(
	MMenus.STORAGE_EXPORTER, p_38852_, inventory, tile
)  {
	val busFilterSlots = addFilterSlots(tile?.filter, StorageExporterBlockEntity.MAX_FILTERS)
	val busFilterState = BooleanInputWithFeedback(this, tile?.let { it.filter::isWhitelist })

	init {
		addInventorySlots()
	}
}
