package ru.dbotthepony.mc.otm.menu.storage

import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.block.entity.storage.StorageImporterBlockEntity
import ru.dbotthepony.mc.otm.menu.MatteryPoweredMenu
import ru.dbotthepony.mc.otm.menu.input.BooleanInputWithFeedback
import ru.dbotthepony.mc.otm.registry.MMenus

class StorageImporterMenu(
	containerId: Int, inventory: Inventory, tile: StorageImporterBlockEntity? = null
) : MatteryPoweredMenu(MMenus.STORAGE_IMPORTER, containerId, inventory, tile)  {
	val busFilterSlots = addFilterSlots(tile?.filter, StorageImporterBlockEntity.MAX_FILTERS)
	val busFilterState = BooleanInputWithFeedback(this, tile?.let { it.filter::isWhitelist })

	init {
		addInventorySlots()
	}
}
